Package com.sas.services

# Class DefaultEntityKeyImpl

java.lang.Object
com.sas.services.DefaultEntityKeyImpl

All Implemented Interfaces:
  `com.sas.entities.EntityKeyInterface`, `Serializable`, `Remote`

public class DefaultEntityKeyImpl extends Object implements com.sas.entities.EntityKeyInterface, Serializable
The default implementation for the EntityKeyInterface as supported by the various services.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultEntityKeyImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEntityKey()`
  Gets the entity's key.
  `boolean`
  `sameEntity(com.sas.entities.EntityKeyInterface entity)`
  Determines whether or not the specified entity has the same key as this entity.
  `void`
  `setEntityKey(String entityKey)`
  Set the unique entity key for the service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultEntityKeyImpl

    public DefaultEntityKeyImpl()

- ## Method Details

  - ### getEntityKey

    public String getEntityKey() throws RemoteException
    Gets the entity's key.
    Specified by:
      `getEntityKey` in interface `com.sas.entities.EntityKeyInterface`
    Returns:
      Entity's key.
    Throws:
      `RemoteException` - if a network anomaly is encountered.

  - ### setEntityKey

    public void setEntityKey(String entityKey) throws RemoteException, IllegalStateException
    Set the unique entity key for the service. The entity key for the services cannot be changed. This method will throw an IllegalStateException.
    Specified by:
      `setEntityKey` in interface `com.sas.entities.EntityKeyInterface`
    Parameters:
      `entityKey` - Unique entity key.
    Throws:
      `IllegalStateException` - if the unique entity key for a service cannot be changed.
      `RemoteException` - if a network anomaly is encountered.

  - ### sameEntity

    public boolean sameEntity(com.sas.entities.EntityKeyInterface entity) throws RemoteException
    Determines whether or not the specified entity has the same key as this entity.
    Specified by:
      `sameEntity` in interface `com.sas.entities.EntityKeyInterface`
    Parameters:
      `entity` - Entity whose key is to be compared to this key.
    Returns:
      `true` if the keys are the same or `false` if they aren't.
    Throws:
      `RemoteException` - if a network anomaly is encountered.